Subject: Re: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Apr 2020 20:17:30 +0300

> From: João Távora <[email-masked]>
> Date: Sun, 12 Apr 2020 18:02:31 +0100
> Cc: [email-masked], Stefan Monnier <[email-masked]>, 
> 	Dmitry Gutov <[email-masked]>
> 
>  Why isn't this the right fix?
> 
> Because the right fix is not to have the condition at
> the end of emacs-lisp-mode at all, as I explained
> in the previous email.  I.e handicapping a mode depending
> on the buffer file name the mode applies to is wrong. IMO.

So you want to restart all that old dispute from last October?  My
opinion didn't change.

> The only intention I have is to revert the commit you added,
> add an emacs-lisp-data-mode according to Stefan's and Dmitry's
> suggestion, and use that mode for .dir-local.el. I'd also appreciate
> such a mode for other lispy data files I have. Anyway, last time
> I checked, you opposed this (very?) strongly so unless that stance 
> has changed, there's not much for me to work on.

My opinion on adding such mode for this one issue hasn't changed.